Can I update to the latest version if I am more than one version behind?

Yes. LobbyCentral updates are all-inclusive which means the installer will contain all previous updates.

For example, if the latest version is 7.2.0 and you are running version 6.0, you can go directly to 7.2.0.

Still need help? Contact Us Contact Us